Index: flashrom-make_tarball_fix/Makefile
===================================================================
--- flashrom-make_tarball_fix/Makefile	(Revision 636)
+++ flashrom-make_tarball_fix/Makefile	(Arbeitskopie)
@@ -71,6 +71,8 @@
 
 FEATURE_LIBS = $(shell LANG=C grep -q "FTDISUPPORT := yes" .features && printf "%s" "-lftdi")
 
+TAROPTIONS = $(shell LANG=C tar --version|grep -q GNU && echo "--owner=root --group=root")
+
 %.o: %.c .features
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(FEATURE_CFLAGS) $(SVNDEF) -o $@ -c $<
 
@@ -136,9 +138,9 @@
 	@echo Exported $(EXPORTDIR)/flashrom-$(VERSION)/
 
 tarball: export
-	@tar cfz $(EXPORTDIR)/flashrom-$(VERSION).tar.gz -C $(EXPORTDIR)/ flashrom-$(VERSION)/
+	@tar cjf $(EXPORTDIR)/flashrom-$(VERSION).tar.bz2 -C $(EXPORTDIR)/ $(TAROPTIONS) flashrom-$(VERSION)/
 	@rm -rf $(EXPORTDIR)/flashrom-$(VERSION)
-	@echo Created $(EXPORTDIR)/flashrom-$(VERSION).tar.gz
+	@echo Created $(EXPORTDIR)/flashrom-$(VERSION).tar.bz2
 
 .PHONY: all clean distclean dep compiler pciutils features export tarball
 
